using System;
using System.Collections.Generic;
using System.Text;

namespace Bird
{
    class Bird
    {
        public string Name { get; set; }
        public virtual void Fly(string destination)
        {
            Console.WriteLine($"{this}; cel to {destination}.");
        }

        public override string ToString()
        {
            return $"Ptak o imieniu {Name}";
        }

        public static void FlyAway(List<Bird> flock, string destination)
        {
            foreach (Bird bird in flock)
            {
                bird.Fly(destination);
            }
        }
    }
}
